concat audio
curl --request POST \
--url https://api.mountsea.ai/suno/v2/concat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clip_id": "<string>",
"is_infill": false,
"project_id": "<string>",
"edit_session_id": "<string>"
}
'import requests
url = "https://api.mountsea.ai/suno/v2/concat"
payload = {
"clip_id": "<string>",
"is_infill": False,
"project_id": "<string>",
"edit_session_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clip_id: '<string>',
is_infill: false,
project_id: '<string>',
edit_session_id: '<string>'
})
};
fetch('https://api.mountsea.ai/suno/v2/concat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "15c257ff-43f7-4678-bd41-202ad6b8488b"
}Suno
Concat Audio
Concatenate audio clips into a single track
POST
/
suno
/
v2
/
concat
concat audio
Concatenate audio clips. When
is_infill is true, the system will fill in the replaced section during merging (requires edit_session_id).
This is an async task. The response contains a
taskId — use Get Task Status to poll for the result.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The audio id which used to concat.
Whether to fill in the Replace section when merging. Pass true and edit_session_id is required.
Example:
false
The project id.
Whether to fill in the Replace section when merging. Pass true and edit_session_id is required.
Response
201 - application/json
task id. Use this id to query task status.
Example:
"15c257ff-43f7-4678-bd41-202ad6b8488b"
⌘I